Skip to main content
PATCH
/
v1
/
ai
/
conversations
/
{id}
Rename conversation
curl --request PATCH \
  --url https://joyride.exchange/api/v1/ai/conversations/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "title": "<string>",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

JWT obtained from POST /v1/auth/verify after SIWS authentication. Include as: Authorization: Bearer <jwt>

Path Parameters

id
string<uuid>
required

Conversation ID

Body

application/json
title
string
required
Maximum string length: 200

Response

Conversation renamed successfully

id
string<uuid>
required
title
string | null
required
updated_at
string<date-time>
required